Subject: more on forcing traffic to route to local interface though another interface.

From: Ben Greear <[email-masked]>
Date: Thu, 12 Sep 2002 21:31:45 -0700

I've been adding printk's to the linux routing code to try to figure
out how things are working...

It appears that at least one of the reasons why what I want to do will
not work is that this code in route.c:

  	/*
	 *	Now we are ready to route packet.
	 */
	if ((err = fib_lookup(&key, &res)) != 0) {
		if (!IN_DEV_FORWARD(in_dev))
			goto e_inval;
		goto no_route;
	}

returns a 'res' that has the res.type == RTN_LOCAL.

So, does anyone know what part of the code populates
the fib tables?  I need to convince that code to never (or rarely)
use any RTN_LOCAL type, at least for certain interfaces and/or sockets.

Other ideas are welcome, of course!

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear